## zapf-0.4.7.tar.gz

=== Makefile ===
# Makefile for zapf.

SHELL = /bin/bash

T = test
PYTHON = python
JENKINS_HOST ?= jenkins.admin.frm2.tum.de

test:
	$(PYTHON) -m pytest -v $(O) $(T)

test-coverage:
	$(PYTHON) -m pytest -v --cov --cov-report=html --cov-report=term $(O) $(T)

lint:
	pylint -r n --rcfile=pylintrc zapf test

clean:
	rm -rf .coverage
	find . -name '*.pyc' -exec rm -f {} \;

jenkinslint:
	PYFILESCHANGED=$$(git diff --name-status `git merge-base HEAD HEAD^` | sed -e '/^D/d' | sed -e 's/.\t//' | grep "\.py\$$"); \
	if [[ -n "$$PYFILESCHANGED" ]] ; then \
		PYTHONPATH=.:${PYTHONPATH} pylint --rcfile=./pylintrc --files-output=y $$PYFILESCHANGED; \
	else echo 'no Python files changed'; fi

# doc:
# 	cd doc && $(MAKE) html

.PHONY: test test-coverage lint clean jenkinslint doc

release-patch:
	MODE="patch" $(MAKE) release

release-minor:
	MODE="minor" $(MAKE) release

release:
	ssh $(JENKINS_HOST) -p 29417 build -v -s -p GERRIT_PROJECT=$(shell git config --get remote.origin.url | rev | cut -d '/' -f -3 | rev) -p ARCH=all -p MODE=$(MODE) ReleasePipeline

.PHONY: release release-patch release-minor

=== debian/changelog ===
python-zapf (0.4.7) focal; urgency=medium

  [ Georg Brandl ]
  * scan: add sim:// to valid addresses
  * io: add disconnect() API

  [ Enrico Faulhaber ]
  * spec 2021: access is also ro if no target field

 -- Georg Brandl <jenkins@frm2.tum.de>  Mon, 03 Jul 2023 18:13:44 +0200

python-zapf (0.4.6) focal; urgency=medium

  * io: fix missing locked access to proto

 -- Georg Brandl <jenkins@frm2.tum.de>  Wed, 21 Jun 2023 09:34:30 +0200

python-zapf (0.4.5) focal; urgency=medium

  * adapt to minor spec clarification

 -- Enrico Faulhaber <jenkins@frm2.tum.de>  Wed, 17 May 2023 16:25:01 +0200

python-zapf (0.4.4) focal; urgency=medium

  * fix up limits

 -- Enrico Faulhaber <jenkins@frm2.tum.de>  Wed, 25 Jan 2023 08:57:55 +0100

python-zapf (0.4.3) focal; urgency=medium

  * debian: add missing dependency of setuptools_scm

 -- Georg Brandl <jenkins@jenkins02.admin.frm2.tum.de>  Thu, 19 May 2022 18:41:00 +0200

python-zapf (0.4.2) focal; urgency=medium

  * switch to pyproject.toml/setup.cfg based build

 -- Georg Brandl <jenkins@frm2.tum.de>  Thu, 12 May 2022 13:50:28 +0200

python-zapf (0.4.1) focal; urgency=medium

  * fix bug in reset()
  * invalidate cache_range in case connection drops

 -- Enrico Faulhaber <jenkins@jenkins01.admin.frm2.tum.de>  Wed, 20 Apr 2022 14:18:41 +0200

python-zapf (0.4.0) focal; urgency=medium

  [ Georg Brandl ]
  * doc: add master_doc for older Sphinx
  * Implement reset() for Device
  * device: implement MessageIO

  [ Enrico Faulhaber ]
  * remove unused device number
  * minor fix
  * impl. typecode 1e04
  * implement support for descriptors
  * improve logging for skipped devices
  * add length field to debug descriptor
  * cache unrequested descriptors
  * doc: fix renames from previous patches
  * move decode_bitfield to spec as it is used in all magics
  * make error msg from debug descriptor accessible
  * set_param should not raise
  * minor fixes

  [ Georg Brandl ]
  * minor style fixes

  [ Enrico Faulhaber ]
  * ensure size of DevicesLayout is correct
  * test table access also for all rows/columns
  * tests: remove devices with 8 params/values
  * testplc: separate device structs
  * minor tweaks and fixes found during pluto test

  [ Georg Brandl ]
  * testplc: fix MessageIO data lengths and typecodes
  * simulator: fixup NumProxy to support operations from right side
  * all: clarify naming ptype -> ptype, subtype, type_info
  * all: various API changes/fixes made during Pluto upgrade

  [ Enrico Faulhaber ]
  * fix encode_unit()
  * add "bit"+"steps" unit

  [ Georg Brandl ]
  * refactor ptype/type_info stuff
  * v_2021_09: work on descriptor classes
  * move table access stuff to its own object

  [ Enrico Faulhaber ]
  * add valuestore for for params numbits & microstep

  [ Georg Brandl ]
  * indexer: refactor descriptor query methods
  * include description in value_info
  * device: provide raw and not-raw API for params

  [ Enrico Faulhaber ]
  * messagio: use DevStatus constants

  [ Georg Brandl ]
  * change debug descriptor length field to indexer size

  [ Enrico Faulhaber ]
  * testplc: fix table 1d access
  * make testplc_2021_09 work with 48 byte slots
  * testplc: add another useful bitfield case to aux
  * tables may contain enums too

  [ Georg Brandl ]
  * disallow tables on 16-bit devices
  * add table _raw APIs, check all limits in non-raw, remove get_limits()
  * remove irrelevant assert

  [ Enrico Faulhaber ]
  * check table header chain
  * improve testplc add_EnumParam

  [ Georg Brandl ]
  * fix "empty string" descriptors
  * dont resolve when caching other descrs in set

  [ Enrico Faulhaber ]
  * fix decode_unit

  [ Georg Brandl ]
  * testplc: test case without device description
  * all: replace %-formatting by f-strings

  [ Enrico Faulhaber ]
  * testplc: add testcase for missing main param descriptor
  * scanner: skip (older) devices with same name

  [ Georg Brandl ]
  * all: isort
  * debian: fix email addresses in changelog
  * for all descriptor-related errors, include descriptor ID and type
  * add a few more ADS error codes
  * fix Tango "invalid address" error message
  * modbus: split long reads over multiple modbus requests
  * v2015_02: fix handling of legacy params/funcs
  * ads: use nodelay, fix conditions for retry-with-route
  * add a standalone simulator tool
  * ADS: make packet receiving robust against unwanted packets
  * add small script to scan a PLC and wait for updates
  * ads: fix address RE
  * simulator: update ADS to changes in proto
  * ads: check for errors before return length

  [ Enrico Faulhaber ]
  * tables: support contextmanager
  * rework paramctrlif methods

  [ Georg Brandl ]
  * all: isort

 -- Georg Brandl <jenkins@jenkins02.admin.frm2.tum.de>  Wed, 13 Apr 2022 17:35:06 +0200

python-zapf (0.3.0) focal; urgency=medium

  [ Enrico Faulhaber ]
  * device.py: fix read_status / read_extended_status

  [ Georg Brandl ]
  * First part of the documentation.
  * device: only provide one method for reading status
  * add logo for docs

 -- Enrico Faulhaber <jenkins@jenkins02.admin.frm2.tum.de>  Fri, 11 Jun 2021 16:35:49 +0200

python-zapf (0.2.1) focal; urgency=medium

  * setup: do not install "test"

 -- Georg Brandl <jenkins@jenkins02.admin.frm2.tum.de>  Tue, 08 Jun 2021 14:52:36 +0200

python-zapf (0.2.0) focal; urgency=medium

  [ Georg Brandl ]
  * simulator: speed up memory allocation search
  * simulator: fix numproxy methods, add some missing ones
  * testplc: clean up code a little

  [ Enrico Faulhaber ]
  * tests: add first individual device tests

  [ Georg Brandl ]
  * simulator: better error messages for partial struct writes
  * plcio: add missing read_u64* methods
  * version.py: fix pylint complaint
  * simulator: allow partial write of struct elements

  [ Enrico Faulhaber ]
  * testplc: implement param interface

  [ Georg Brandl ]
  * style fixups

  [ Enrico Faulhaber ]
  * adapt parameter names to spec



=== debian/control ===
Source: python-zapf
Section: python
Priority: optional
Maintainer: Georg Brandl <g.brandl@fz-juelich.de>
Build-Depends: debhelper (>= 11~),
 dh-python,
 git,
 python3 (>= 3.6),
 python3-setuptools,
 python3-setuptools-scm
Standards-Version: 4.1.4

Package: python3-zapf
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-tango
Description: Client library for the PILS PLC communication protocol
 Provides a client layer that can communicate with PILS PLCs
 over several protocols: ADS, Modbus and Tango.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_test:

%:
	dh $@ --with python3 --buildsystem=pybuild
